clear
set matsize 4000
set more off 

cap log close
log using "20040910_op",t replace
u "20040910_data.dta",replace
so dscode year
qui by dscode:ge lrk2_1=lrk2[_n-1]
so dscode year
ren  dscode i
ren  year t 
sort i t
tsset i t,yearly
qui by i: g t0=t[1]
qui by i: g t1=t[_N]
sort t
table t, c(n i)
tab t,ge(D)
mac def DT "D2 D3 D4 D5 D6 D7 D8 D9 D10 D11"
mac def ind "ind2 ind3 ind4 ind5 ind6 ind7 ind8 ind9 ind10 ind11 ind12 ind13 ind14 ind15"

*************************
* construct variables 
xi i.t
sort i t
g logi=log(rinv)
*get OP timing (diff from BB)
g logk=lrk2_1
g logy=lrva2
g x=t==t1
replace x=. if t==2000
g x2=x
replace x2=2 if x~=0
g time=t-1990
ge logl=lemp

************************************
* variables for ops

global if="if(x2~=1)"				/*	IF statement to be included in all estimation commands */

*	STAGE 1:
global s1y=	"logy"	   /* 	dependent variable stage 1	(value added)	*/
global s1x	=	"logl   "	/* 	variables of interest for stage 1 (other than series terms)*/
global s1x3	=	"  $ind "	      /* 	control variables for stage 1 (other than series terms)*/
global s1var=  "logk logi lkrd krddum1 time "	/*	varlist for series expansion for stage 1*/
global s1o=	4			/*	order of series expansion for stage 1*/

*	STAGE 2:
global s2y=	"x"			/*	dependent variable for stage 2 probit regressions*/
global s2x=	"	 "			/*	independent variables other than series terms */
global s2var= "logk logi lkrd krddum1 time  "	/*	varlist for series expansion for stage 2*/
global s2o=	3			/*	order of series expansion for stage 2*/
global opselect = 1                  /*=0 if no selection*/

*	STAGE 3:
global	s3x=	"logk "		/*	independent variable for stage 3 */
global	s3z=	" lkrd krddum1  UScite90_3_rdusa2   GBcite90_3_rduk2    lkrdusa2 lkrduk2 GBinvGBcite90_3 USinvUScite90_3  $ind $DT"
global	s3var=" "		
global	s3o=	4                 /*	order of series expansion for phi and phat inside the NLLS of stage 3*/
global s3grid="  "			
global 	s3grid="0(.05)1"
global 	s3delta="1e-4 1e-7"

* 	OUTPUT:
global 	opsb="b"				/*	name of matrix to save coefficients*/
global omega="omega"	         /*	variable to save productivity estimates*/

***************************************
* do Olley-Pakes --- 3 stage procedure
tab isic,ge(ind)

qui do "20040910_ops.do"
ops

set seed 2
bs "ops" _b,cluster(i) rep(100)
cap log c


