clear
set more off
set mem 400m
set matsize 800
cap log close
log using "20040910_program.log",replace

u "20040910_data2.dta", clear
tab year,g(yy)

*****************
*** Table 3 *****
*****************

******* column 1
areg lrva2 lemp lrk2 lkrd krddum1 yy* , abs(isic) rob cluster(isic)

******* column 2
areg        lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 GBinv90_rduk2  USinv90_rdusa2 mGBinv90 mUSinv90  yy*  , abs(isic) rob cluster(isic)

******* column 3
xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 GBinv90_rduk2  USinv90_rdusa2 mGBinv90 mUSinv90  ii25-ii2022 i.year, iv(        lkrduk2 lkrdusa2 GBinv90_rduk2 USinv90_rdusa2 mGBinv90 mUSinv90 i.year, equation(both)) iv(ii25-ii2022, eq(level)) gmm(lemp_k2 lkrd, lag(3 6)) gmm(krddum1, lag(1 1) equation(level) passthru) robust
cap drop s1
gen s1 = e(sargan)
cap drop df1
gen df1 = e(sar_df)
cap xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 GBinv90_rduk2  USinv90_rdusa2 mGBinv90 mUSinv90  ii25-ii2022 i.year, iv(krddum1 lkrduk2 lkrdusa2 GBinv90_rduk2 USinv90_rdusa2 mGBinv90 mUSinv90 i.year                )                            gmm(lemp_k2 lkrd, lag(3 6))                                                 robust  nol
cap drop s2
gen s2 = e(sargan)
cap drop df2
gen df2 = e(sar_df)
cap drop sd
gen sd = s1 - s2
cap drop ddf
gen ddf = df1 - df2
cap drop sdtest
gen sdtest = 1 - chi2(ddf, sd)
tab sd
tab ddf
tab sdtest

******* column 4
xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 GBcite90_rduk2 UScite90_rdusa2 GBinvGBcite90 USinvUScite90 ii25-ii2022 i.year, iv(        lkrduk2 lkrdusa2 GBcite90_rduk2 UScite90_rdusa2 GBinvGBcite90  USinvUScite90 i.year, equation(both)) iv(ii25-ii2022, eq(level)) gmm(lemp_k2 lkrd, lag(3 6)) gmm(krddum1, lag(1 1) equation(level) passthru) robust
cap drop s1
gen s1 = e(sargan)
cap drop df1
gen df1 = e(sar_df)
cap xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 GBcite90_rduk2 UScite90_rdusa2 GBinvGBcite90 USinvUScite90 ii25-ii2022 i.year, iv(krddum1 lkrduk2 lkrdusa2 GBcite90_rduk2 UScite90_rdusa2 GBinvGBcite90  USinvUScite90 i.year                )                            gmm(lemp_k2 lkrd, lag(3 6))                                                 robust  nol
cap drop s2
gen s2 = e(sargan)
cap drop df2
gen df2 = e(sar_df)
cap drop sd
gen sd = s1 - s2
cap drop ddf
gen ddf = df1 - df2
cap drop sdtest
gen sdtest = 1 - chi2(ddf, sd)
tab sd
tab ddf
tab sdtest

******* column 5
xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 GBinvGBcite90_3  USinvUScite90_3 ii25-ii2022 i.year, iv(        lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 GBinvGBcite90_3  USinvUScite90_3 i.year, equation(both)) iv(ii25-ii2022, eq(level)) gmm(lemp_k2 lkrd, lag(3 6)) gmm(krddum1, lag(1 1) equation(level) passthru) robust
cap drop s1
gen s1 = e(sargan)
cap drop df1
gen df1 = e(sar_df)
cap xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 GBinvGBcite90_3  USinvUScite90_3 ii25-ii2022 i.year, iv(krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 GBinvGBcite90_3  USinvUScite90_3 i.year                )                            gmm(lemp_k2 lkrd, lag(3 6))                                                 robust  nol
cap drop s2
gen s2 = e(sargan)
cap drop df2
gen df2 = e(sar_df)
cap drop sd
gen sd = s1 - s2
cap drop ddf
gen ddf = df1 - df2
cap drop sdtest
gen sdtest = 1 - chi2(ddf, sd)
tab sd
tab ddf
tab sdtest


******************
** Table 4   *****
******************

******* column 1
xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 GBinvGBcite90_3  USinvUScite90_3 ii25-ii2022 i.year if highgap==1, iv(        lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 GBinvGBcite90_3  USinvUScite90_3 i.year, equation(both)) iv(ii25-ii2022, eq(level)) gmm(lemp_k2 lkrd, lag(3 6)) gmm(krddum1, lag(1 1) equation(level) passthru) robust
cap drop s1
gen s1 = e(sargan)
cap drop df1
gen df1 = e(sar_df)
cap xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 GBinvGBcite90_3  USinvUScite90_3 ii25-ii2022 i.year if highgap==1, iv(krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 GBinvGBcite90_3  USinvUScite90_3 i.year                )                            gmm(lemp_k2 lkrd, lag(3 6))                                                 robust  nol
cap drop s2
gen s2 = e(sargan)
cap drop df2
gen df2 = e(sar_df)
cap drop sd
gen sd = s1 - s2
cap drop ddf
gen ddf = df1 - df2
cap drop sdtest
gen sdtest = 1 - chi2(ddf, sd)
tab sd
tab ddf
tab sdtest

******* column 2
xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 GBinvGBcite90_3  USinvUScite90_3 ii25-ii2022 i.year if highgap==0, iv(        lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 GBinvGBcite90_3  USinvUScite90_3 i.year, equation(both)) iv(ii25-ii2022, eq(level)) gmm(lemp_k2 lkrd, lag(3 6)) gmm(krddum1, lag(1 1) equation(level) passthru) robust
cap drop s1
gen s1 = e(sargan)
cap drop df1
gen df1 = e(sar_df)
cap xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 GBinvGBcite90_3  USinvUScite90_3 ii25-ii2022 i.year if highgap==0, iv(krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 GBinvGBcite90_3  USinvUScite90_3 i.year                )                            gmm(lemp_k2 lkrd, lag(3 6))                                                 robust  nol
cap drop s2
gen s2 = e(sargan)
cap drop df2
gen df2 = e(sar_df)
cap drop sd
gen sd = s1 - s2
cap drop ddf
gen ddf = df1 - df2
cap drop sdtest
gen sdtest = 1 - chi2(ddf, sd)
tab sd
tab ddf
tab sdtest

******* column 3
xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2                                    nGBcite90_3_rduk2 nUScite90_3_rdusa2                                  nGBinvGBcite90_3  nUSinvUScite90_3 ii25-ii2022 i.year, iv(        lkrduk2 lkrdusa2                                    nGBcite90_3_rduk2 nUScite90_3_rdusa2                                  nGBinvGBcite90_3  nUSinvUScite90_3 i.year, equation(both)) iv(ii25-ii2022, eq(level)) gmm(lemp_k2 lkrd, lag(3 6)) gmm(krddum1, lag(1 1) equation(level) passthru) robust
cap drop s1
gen s1 = e(sargan)
cap drop df1
gen df1 = e(sar_df)
cap xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2                                    nGBcite90_3_rduk2 nUScite90_3_rdusa2                                  nGBinvGBcite90_3  nUSinvUScite90_3 ii25-ii2022 i.year, iv(krddum1 lkrduk2 lkrdusa2                                    nGBcite90_3_rduk2 nUScite90_3_rdusa2                                  nGBinvGBcite90_3  nUSinvUScite90_3 i.year                )                            gmm(lemp_k2 lkrd, lag(3 6))                                                 robust  nol
cap drop s2
gen s2 = e(sargan)
cap drop df2
gen df2 = e(sar_df)
cap drop sd
gen sd = s1 - s2
cap drop ddf
gen ddf = df1 - df2
cap drop sdtest
gen sdtest = 1 - chi2(ddf, sd)
tab sd
tab ddf
tab sdtest

******* column 4
xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 nGBcite90_3_rduk2 nUScite90_3_rdusa2 GBinvGBcite90_3  USinvUScite90_3 nGBinvGBcite90_3  nUSinvUScite90_3 ii25-ii2022 i.year, iv(        lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 nGBcite90_3_rduk2 nUScite90_3_rdusa2 GBinvGBcite90_3  USinvUScite90_3 nGBinvGBcite90_3  nUSinvUScite90_3 i.year, equation(both)) iv(ii25-ii2022, eq(level)) gmm(lemp_k2 lkrd, lag(3 6)) gmm(krddum1, lag(1 1) equation(level) passthru) robust
cap drop s1
gen s1 = e(sargan)
cap drop df1
gen df1 = e(sar_df)
cap xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 nGBcite90_3_rduk2 nUScite90_3_rdusa2 GBinvGBcite90_3  USinvUScite90_3 nGBinvGBcite90_3  nUSinvUScite90_3 ii25-ii2022 i.year, iv(krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 nGBcite90_3_rduk2 nUScite90_3_rdusa2 GBinvGBcite90_3  USinvUScite90_3 nGBinvGBcite90_3  nUSinvUScite90_3 i.year                )                            gmm(lemp_k2 lkrd, lag(3 6))                                                 robust  nol
cap drop s2
gen s2 = e(sargan)
cap drop df2
gen df2 = e(sar_df)
cap drop sd
gen sd = s1 - s2
cap drop ddf
gen ddf = df1 - df2
cap drop sdtest
gen sdtest = 1 - chi2(ddf, sd)
tab sd
tab ddf
tab sdtest

******* column 5
xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 snGB_rdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 mpsalesnUK2 GBinvGBcite90_3  USinvUScite90_3 ii25-ii2022 i.year if maxm==3, iv(        lkrduk2 lkrdusa2 snGB_rdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 mpsalesnUK2  GBinvGBcite90_3  USinvUScite90_3 i.year, equation(both)) iv(ii25-ii2022, eq(level)) gmm(lemp_k2 lkrd, lag(3 6)) gmm(krddum1, lag(1 1) equation(level) passthru) robust
cap drop s1
gen s1 = e(sargan)
cap drop df1
gen df1 = e(sar_df)
cap xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 snGB_rdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 mpsalesnUK2 GBinvGBcite90_3  USinvUScite90_3 ii25-ii2022 i.year if maxm==3, iv(krddum1 lkrduk2 lkrdusa2 snGB_rdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 mpsalesnUK2  GBinvGBcite90_3  USinvUScite90_3 i.year                )                            gmm(lemp_k2 lkrd, lag(3 6))                                                 robust  nol
cap drop s2
gen s2 = e(sargan)
cap drop df2
gen df2 = e(sar_df)
cap drop sd
gen sd = s1 - s2
cap drop ddf
gen ddf = df1 - df2
cap drop sdtest
gen sdtest = 1 - chi2(ddf, sd)
tab sd
tab ddf
tab sdtest

******* column 6
xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 w_ind_lkrus GBinvGBcite90_3  USinvUScite90_3 w_ind ii25-ii2022 i.year, iv(        lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 w_ind_lkrus GBinvGBcite90_3  USinvUScite90_3 w_ind  i.year, equation(both)) iv(ii25-ii2022, eq(level)) gmm(lemp_k2 lkrd, lag(3 6)) gmm(krddum1, lag(1 1) equation(level) passthru) robust
cap drop s1
gen s1 = e(sargan)
cap drop df1
gen df1 = e(sar_df)
cap xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 w_ind_lkrus GBinvGBcite90_3  USinvUScite90_3 w_ind ii25-ii2022 i.year, iv(krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 w_ind_lkrus GBinvGBcite90_3  USinvUScite90_3 w_ind  i.year                )                            gmm(lemp_k2 lkrd, lag(3 6))                                                 robust  nol
cap drop s2
gen s2 = e(sargan)
cap drop df2
gen df2 = e(sar_df)
cap drop sd
gen sd = s1 - s2
cap drop ddf
gen ddf = df1 - df2
cap drop sdtest
gen sdtest = 1 - chi2(ddf, sd)
tab sd
tab ddf
tab sdtest

******* column 7
xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 tUSinv90_rdusa2 GBinvGBcite90_3  USinvUScite90_3 npat90 ii25-ii2022 i.year, iv(        lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 tUSinv90_rdusa2 GBinvGBcite90_3  USinvUScite90_3 npat90  i.year, equation(both)) iv(ii25-ii2022, eq(level)) gmm(lemp_k2 lkrd, lag(3 6)) gmm(krddum1, lag(1 1) equation(level) passthru) robust
cap drop s1
gen s1 = e(sargan)
cap drop df1
gen df1 = e(sar_df)
cap xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 tUSinv90_rdusa2 GBinvGBcite90_3  USinvUScite90_3 npat90 ii25-ii2022 i.year, iv(krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2 tUSinv90_rdusa2 GBinvGBcite90_3  USinvUScite90_3 npat90  i.year                )                            gmm(lemp_k2 lkrd, lag(3 6))                                                 robust  nol
cap drop s2
gen s2 = e(sargan)
cap drop df2
gen df2 = e(sar_df)
cap drop sd
gen sd = s1 - s2
cap drop ddf
gen ddf = df1 - df2
cap drop sdtest
gen sdtest = 1 - chi2(ddf, sd)
tab sd
tab ddf
tab sdtest

******* column 8
xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2  snGB_rdusa2 w_ind_lkrus tUSinv90_rdusa2 GBinvGBcite90_3  USinvUScite90_3 mpsalesnUK2 w_ind npat90  ii25-ii2022 i.year if maxm==3, iv(        lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2  snGB_rdusa2 w_ind_lkrus tUSinv90_rdusa2 GBinvGBcite90_3  USinvUScite90_3 mpsalesnUK2 w_ind npat90   i.year, equation(both)) iv(ii25-ii2022, eq(level)) gmm(lemp_k2 lkrd, lag(3 6)) gmm(krddum1, lag(1 1) equation(level) passthru) robust
cap drop s1
gen s1 = e(sargan)
cap drop df1
gen df1 = e(sar_df)
cap xi:xtabond2 lrva2_k2 lemp_k2 lkrd krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2  snGB_rdusa2 w_ind_lkrus tUSinv90_rdusa2 GBinvGBcite90_3  USinvUScite90_3 mpsalesnUK2 w_ind npat90  ii25-ii2022 i.year if maxm==3, iv(krddum1 lkrduk2 lkrdusa2 GBcite90_3_rduk2 UScite90_3_rdusa2  snGB_rdusa2 w_ind_lkrus tUSinv90_rdusa2 GBinvGBcite90_3  USinvUScite90_3 mpsalesnUK2 w_ind npat90   i.year                )                            gmm(lemp_k2 lkrd, lag(3 6))                                                 robust  nol
cap drop s2
gen s2 = e(sargan)
cap drop df2
gen df2 = e(sar_df)
cap drop sd
gen sd = s1 - s2
cap drop ddf
gen ddf = df1 - df2
cap drop sdtest
gen sdtest = 1 - chi2(ddf, sd)
tab sd
tab ddf
tab sdtest



log close
exit







